Subject: Bad linux-next merge? (was Re: [6.4.0-rc7-next-20230620] Boot failure on IBM Power LPAR)

From: Michael Ellerman <[email-masked]>
Date: Thu, 22 Jun 2023 22:54:42 +1000

Sachin Sant <[email-masked]> writes:
>>> The problem was introduced in 6.4.0-rc7-next-20230619. I tried git bisect, but unsure of the
>>> result reported by it. Bisect points to following patch
>>> 
>>> # git bisect bad
>>> 70c94cc2eefd4f98d222834cbe7512804977c2d4 is the first bad commit
>>> commit 70c94cc2eefd4f98d222834cbe7512804977c2d4
>>> Merge: 48f5ee5c48c3 3fe08f7d5e80
>>> Author: Stephen Rothwell <[email-masked]>
>>> Date:   Tue Jun 20 09:43:25 2023 +1000
>>> 
>>>    Merge branch 'mm-everything' of git://git.kernel.org/pub/scm/linux/kernel/git/akpm/mm
>>>         # Conflicts:
>>>         #       mm/mmap.c
>> 
>> Usually bisect pointing to a merge means something has gone wrong with
>> the bisect. It's not impossible for a merge to be the cause of a bug,
>> but IME it's rare.
>
> I have tried the bisect 3 times and the result was same. It always
> points to this merge commit.
>
> Is there anything else I can try to help debug this issue?

Looks like it's been reported, debugged and fixed over here:

  https://lore.kernel.org/linux-next/20230619204309.GA13937@willie-the-truck/

So it should be resolved in today/tomorrow's linux-next hopefully.

cheers